<!DOCTYPE html>
<html>

<head>
    <title>server-side-pagination</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/bootstrap-for-table.min.css">
    <link rel="stylesheet" href="css/bootstrap-table.css">
    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap-for-table.min.js"></script>
    <script src="js/bootstrap-table.js"></script>
</head>

<body>
    <div class="container">
        <h1>Server Side Pagination</h1>
        <p>Use <code>sidePagination: 'server'</code> option to define the server side pagination of table.</p>
        <table id="table" data-toggle="table" data-url="datatest3.json" data-height="400"
            data-pagination="true" data-page-list="[5, 10, 20, 50, 100, 200]" data-search="true">
            <thead>
                <tr>
                    <th data-field="ac" data-sortable="true">AC</th>
                    <th data-field="name" data-sortable="true">ชื่อ</th>
                    <th data-field="lastname" data-sortable="true">นามสกุล</th>
                    <th data-field="checker" data-sortable="true">คนทำสัญญา</th>
                    <th data-field="status" data-sortable="true">สถานะ</th>
                </tr>
            </thead>
        </table>
    </div>
    <script>
        var $table = $('#table');
        $(function () {
        });
    </script>
</body>

</html>